From 26818c813ddccc6c7186eedadbf9c7a2f2ae6deb Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Mon, 16 May 2016 10:05:19 -0700
Subject: [PATCH] Avoid shrinking windows with Gtk+ 3.20.3

Problem reported by Matthias Clasen (Bug#23144).
This was fixed in a different way in master.
Do not merge to master.
* src/xterm.c (handle_one_xevent) [GTK_CHECK_VERSION (3, 20, 3)]:
Do not call xg_frame_resized in the MapNotify case.
---
 src/xterm.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/xterm.c b/src/xterm.c
index 2f8e077..c64c174 100644
--- a/src/xterm.c
+++ b/src/xterm.c
@@ -7897,7 +7897,13 @@ handle_one_xevent (struct x_display_info *dpyinfo,
             record_asynch_buffer_change ();
 
 #ifdef USE_GTK
+	  /* xg_frame_resized does the wrong thing with Gtk+ 3.20.3 or later.
+	     For earlier Gtk+ versions it is unclear whether
+	     xg_frame_resized is useful, so leave it in for now.
+	     See Bug#23144.  */
+# if ! GTK_CHECK_VERSION (3, 20, 3)
           xg_frame_resized (f, -1, -1);
+# endif
 #endif
         }
       goto OTHER;
-- 
2.5.5

